
@import '../../../../assets/styles/common.scss';

.info-window-container {
    width: 460px;
    font-family: Open Sans, sans-serif;

    &-item {
        width: 100%;
        display: flex;
        font-size: 20px;
        flex-wrap: wrap;
        min-height: 50px;
        padding: 5px 0px;
        flex-direction: row;
        align-items: center;
        transition: width 2s;
        justify-content: center;

        > div { 
            display: flex;
            align-items: center;
            flex-direction: row;
            justify-content: space-around;
        }

        &-status {
            width: 120px;
            display: flex;
            font-weight: bold;
            padding-left: 10px;
            align-items: center;
            flex-direction: row;
            justify-content: space-around;

            span {
                font-size: 14px;
            }
        }

        &-links {
            width: 130px;
            display: flex;
            font-size: 14px;
            font-weight: bold;
            align-items: center;
            flex-direction: row;
            justify-content: space-around;


            .mdl-button--icon {
                width: 32px;
                height: 32px;
                padding: 6px;
                color: darken($bgColor, 15);

                &:hover {
                    color: darken($bgColor, 10);
                }
            }
        }

        &-refs {
            width: 200px;
            font-size: 15px;

            span {
                width: 100%;
                padding: 0px 5px;
                overflow: hidden;
                white-space: nowrap;
                display: inline-block;
                text-overflow: ellipsis;
            }
        }
        
    }

    &-orbitracker {
        border-top: 1px solid rgba($bgColor, 0.15);
    }

}

@media screen and (max-width: 540px) {
    .info-window-container {
        width: 220px;
    
        &-item {
            padding: 10px 0px;

            & > div {
                width: 100%;
                justify-content: flex-start;

                span {
                    width: calc(100% - 40px);
                }
                
                svg {
                    padding: 6px;
                }

            }     
            
            &-status {
                padding: 0px;
            }
            
            &-refs {
                padding: 10px 0px;
            }
        }
    }
}